Name:       asciidoc
Version:    8.6.8
Release:    %mkrel 4

Summary:    Tool to convert custom-formatted text files to DocBook, HTML or Unix man pages
License:    GPLv2+
Group:      Publishing
Url:        http://www.methods.co.nz/asciidoc/
Source0:    http://downloads.sourceforge.net/project/asciidoc/asciidoc/%{version}/asciidoc-%{version}.tar.gz
Patch0:     asciidoc-8.5.3-fix_makefile.patch
BuildRequires: python-devel dos2unix
BuildRequires: docbook-dtd45-xml
BuildRequires: xsltproc

BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

Requires: python
# For a2x
Suggests:   dblatex
Suggests:   fop
Suggests:   w3m
Suggests:   xsltproc

%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%prep
%setup -q
%patch0 -p0

for i in CHANGELOG README;
do
    iconv -f ISO-8859-1 -t UTF-8 -o $i.UTF-8 $i
    mv  $i.UTF-8 $i
done
for i in  doc/book-multi.txt doc/article.txt COPYRIGHT doc/faq.txt filters/code/code-filter-readme.txt \
doc/asciidoc.1.txt filters/code/code-filter-test.txt doc/book.txt doc/latex-backend.txt;
do
    dos2unix < $i > $i.fixed ; mv -f $i.fixed $i ;
done

%build
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS CHANGELOG COPYRIGHT README
%doc doc/*.txt filters/*/*.txt
%doc %{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/asciidoc/
%{_bindir}/asciidoc.py
%{_bindir}/asciidoc
%{_bindir}/a2x.py
%{_bindir}/a2x


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 8.6.8-4.mga4
+ Revision: 533332
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 shlomif <shlomif> 8.6.8-3.mga4
+ Revision: 472573
- asciidoc.vim is included in the vim package - remove it from here.

* Fri Jan 11 2013 umeabot <umeabot> 8.6.8-2.mga3
+ Revision: 346114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 31 2012 shlomif <shlomif> 8.6.8-1.mga3
+ Revision: 311709
- New version 8.6.8

* Tue May 29 2012 shlomif <shlomif> 8.6.7-2.mga3
+ Revision: 248905
- New version: 8.6.7
- Not repeating 'AsciiDoc' in the summary to get rid of an rpmlint warning.
- New version

* Tue Sep 06 2011 tv <tv> 8.6.6-1.mga2
+ Revision: 139215
- new release

* Fri Apr 15 2011 shikamaru <shikamaru> 8.6.4-1.mga1
+ Revision: 85991
- new version 8.6.4 - add vim syntax hilighting

* Sun Jan 09 2011 jquelin <jquelin> 8.6.3-1.mga1
+ Revision: 1696
- imported package asciidoc

